Skip to main content
PATCH
/
organizations
/
{organization_id}
/
worksites
/
{worksite_id}
/
tax-identifiers
/
{tax_identifier_id}
Update Worksite Tax Identifier
curl --request PATCH \
  --url https://dev.intermezzo.ai/organizations/{organization_id}/worksites/{worksite_id}/tax-identifiers/{tax_identifier_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "id": 123,
  "validFrom": "2023-12-25",
  "validTo": "2023-12-25",
  "taxData": {
    "country": "<string>",
    "validFrom": "2023-12-25",
    "validTo": "2023-12-25",
    "taxNumber": "<string>",
    "businessType": 170,
    "isEmployeeFlatTax": false,
    "isEmployeeMiniJobFlatTax": false,
    "taxFilingFrequency": "monthly"
  }
}

Authorizations

Authorization
string
header
required

Get token from Auth0 and paste it here

Path Parameters

worksite_id
required
tax_identifier_id
integer
required
organization_id
required

Body

application/json
validFrom
string<date> | null
validTo
string<date> | null
taxData
DETaxIdentifier · object

Response

Successful Response

id
integer
required
validFrom
string<date> | null
validTo
string<date> | null
taxData
DETaxIdentifier · object